Subject: bug#56255: 28.1.50; sxhash-equal does not change when object is modified

From: Ihor Radchenko <[email-masked]>
Date: Wed, 29 Jun 2022 18:12:38 +0800

Lars Ingebrigtsen <[email-masked]> writes:

> Ihor Radchenko <[email-masked]> writes:
>
>> Off topic: Do you know any other way to detect if deeply nested object
>> has changed (other than creating a deep copy and using equal)?
>
> Printing the object to a buffer and then using `buffer-hash' should be
> OK for most structures, but would be very slow for large objects.

This is exactly the problem at hand. I was hoping to find a fast way to
detect if a large deeply nested object is changed. If not, do not print
that object for the purpose of saving it to disk cache. Printing can
take up to 2-3 seconds in some cases.

Best,
Ihor